## GflsLoaderConfigSimple GflsLoaderConfigSimple — Loader configuration |

## Functions

GflsLoaderConfigSimple * | gfls_loader_config_simple_new_from_file ()
GflsLoaderConfigSimple * | gfls_loader_config_simple_new_from_stream ()
GFile * | gfls_loader_config_simple_get_file ()
GInputStream * | gfls_loader_config_simple_get_stream ()

## Types and Values

struct | GflsLoaderConfigSimple

## Object Hierarchy

        GObject
        ╰── GflsLoaderConfigSimple

## Includes

    #include <gfls/gfls.h>

## Description

## Functions

### gfls_loader_config_simple_new_from_file ()

    GflsLoaderConfigSimple *
    gfls_loader_config_simple_new_from_file
                                   (GFile *file);

Creates a new GflsLoaderConfigSimple object with `file` for the input content.

#### Parameters

file | a GFile. |

#### Returns

a new GflsLoaderConfigSimple object.

[transfer full]

Since: 0.2

### gfls_loader_config_simple_new_from_stream ()

    GflsLoaderConfigSimple *
    gfls_loader_config_simple_new_from_stream
                                   (GInputStream *input_stream);

Creates a new GflsLoaderConfigSimple object with `input_stream` for the input content.

To load from stdin, a useful function is `g_application_command_line_get_stdin()`.

#### Parameters

input_stream | a GInputStream. |

#### Returns

a new GflsLoaderConfigSimple object.

[transfer full]

Since: 0.2

### gfls_loader_config_simple_get_file ()

    GFile *
    gfls_loader_config_simple_get_file (GflsLoaderConfigSimple *config);

#### Parameters

config | a GflsLoaderConfigSimple. |

#### Returns

the GFile of `config` , or `NULL`.

[transfer none][nullable]

Since: 0.2

### gfls_loader_config_simple_get_stream ()

    GInputStream *
    gfls_loader_config_simple_get_stream (GflsLoaderConfigSimple *config);

#### Parameters

config | a GflsLoaderConfigSimple. |

#### Returns

the GInputStream of `config` , or `NULL`.

[transfer none][nullable]

Since: 0.2

## Types and Values

### struct GflsLoaderConfigSimple

    struct GflsLoaderConfigSimple;